# Visual3d_TypeOfOrder.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | Visual3d_TypeOfOrder { Visual3d_TOO_TOPFIRST, Visual3d_TOO_BOTTOMFIRST }
| Definition of the rendering (colour shading) model TOM_NONE No interpolation, constant shading (FLAT Shading) TOM_INTERP_COLOR Linear interpolation of color (Gouraud Shading) TOM_FACET Interpolation of color based on dot products (Quick Phong Shading) TOM_VERTEX Interpolation of color based on normals (Phong Shading) . More...

## Enumeration Type Documentation

enum Visual3d_TypeOfOrder

Enumeration values:

  Visual3d_TOO_TOPFIRST |
  Visual3d_TOO_BOTTOMFIRST |